* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}

html {
    background: linear-gradient(#838ef9, #3535ec);
    background-attachment: fixed;
    height: 100%;
    font-family: 'Roboto', sans-serif;
}

main {
    text-align: center;
}

.container {
    width: 90%;
    max-width: 720px;
    margin: 0 auto;
    padding: 16px;
}

/* Logo */
header img {
    width: 56px;
}

h2 {
    font-size: 20px;
    margin-bottom: 16px;
    font-weight: bold;
}

h3 {
    font-size: 16px;
    margin-bottom: 12px;
    color: #4C6C96;
}

p {
    color: #ffffff;

}

img {
    max-width: 100%;
    height: auto;
}

.codigotchi {
    width: 230px;
    margin: 0 auto 24px auto;
    position: relative;
}

.codigotchi-screen {
    position: absolute;
    top: 118px;
    left: 56px;
    height: 120px;
    width: 120px;
    background-image: url('./images/static.png');
    background-position: center center;
    background-repeat: no-repeat;
    background-size: contain;
}

.codigotchi-screen_dormi {
    background-image: url('./images/dormi.gif');
}

.codigotchi-screen_mangia {
    background-image: url('./images/mangia.gif');
}

.codigotchi-screen_balla {
    background-image: url('./images/balla.gif');
}


.commands ul {
    width: 100%;
    display: flex;
    justify-content: space-between;
    list-style: none;
}

.commands ul li  {
    font-size: 24px;
    font-weight: bold;
}

.panels {
    position: relative;
    margin-bottom: 16px;
}

.panel {
    background-color: white;
    border-radius: 10px;
    padding: 16px 24px;
    transition: transform 0.2s;
    width: 100%;
}

.panel-commands {
    position: absolute;
    top: 0;
    left: 0;
    visibility: hidden;
    transform: scale(0.1);
}

.listening .panel-commands {
    visibility: visible;
    transform: scale(1);
}

.listening .panel-microphone {
    visibility: hidden;
    transform: scale(0.1);
}

button {
    border: none;
    background-color: #f71469;
    border-radius: 8px;
    cursor: pointer;
    padding: 12px 16px;
    margin: 12px;
}